<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
require_once INCLUDES."sendmail_include.php";

if (file_exists(INFUSIONS."newsletter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."newsletter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."newsletter_panel/locale/English.php";
}

if (!checkRights("IP")) fallback("../index.php");

if (!isset($step)) $step = "";

if ($step == "delete") {
	$result = dbquery("DELETE FROM ".$db_prefix."newsletter_subs WHERE newsletter_sub_user='$user_id'");
	opentable($locale['nl470']);
	echo "<center><br>
".$locale['nl471']."<br><br>
<a href='newsletter_subs.php'>".$locale['nl472']."</a><br><br>
<a href='".FUSION_ADMIN."index.php'>".$locale['nl422']."</a><br><br>
</center>\n";
	closetable();
} else {
	opentable($locale['nl403']);
	if (!isset($sortby)) $sortby = "all";
	$orderby = ($sortby == "all" ? "" : " WHERE user_name LIKE '$sortby%'");
	$result = dbquery(
		"SELECT tns.*, tu.user_id,user_name,user_email FROM ".$db_prefix."newsletter_subs tns
		LEFT JOIN ".$db_prefix."users tu ON tns.newsletter_sub_user=tu.user_id".$orderby
	);
	$rows = dbrows($result);
	if (!isset($rowstart)) $rowstart = 0; 
	$result = dbquery(
		"SELECT tns.*, tu.user_id,user_name,user_email FROM ".$db_prefix."newsletter_subs tns
		LEFT JOIN ".$db_prefix."users tu ON tns.newsletter_sub_user=tu.user_id
		".$orderby."ORDER BY user_name LIMIT $rowstart,20"
	);
	if ($rows != 0) {
		echo "<table width='430' align='center' cellpadding='0' cellspacing='0' class='tbl'>
<tr>
<td class='tbl2'>".$locale['nl480']."</td>
<td align='right' class='tbl2'>".$locale['nl481']."</td>
</tr>\n";
		while ($data = dbarray($result)) {
			echo "<tr>\n<td><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>
<td align='right'><a href='".FUSION_SELF."?step=delete&rowstart=$rowstart&user_id=".$data['user_id']."' onclick='return DeleteMember()'>".$locale['nl402']."</a></td>
</tr>\n";
		}
		echo "</table>\n";
	} else {
		if (!dbcount("(*)", "newsletter_subs")) {
			echo "<center><br>".$locale['nl482']."<br><br>\n</center>\n";
		} else {
			echo "<center><br>\n".$locale['nl483']."$sortby<br><br>\n</center>\n";
		}
	}
	$search = array(
		"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
		"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
	);
	echo "<hr><table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
	echo "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['nl484']."</a></td>";
	for ($i=0;$i < 36;$i++) {
		echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
		echo ($i==17 ? "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['nl484']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
	echo "</tr>\n</table>\n";
	closetable();
	echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,20,$rows,3,FUSION_SELF."?sortby=$sortby&")."\n</div>\n";
	echo "<script language='JavaScript'>
function DeleteMember() {
	return confirm('".$locale['nl485']."');
}
</script>\n";
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>